Bug 706773 - [abrt] xbindkeys-1.8.3-2.fc15: __libc_message: Process /usr/bin/xbindkeys was killed by signal 6 (SIGABRT)
Summary: [abrt] xbindkeys-1.8.3-2.fc15: __libc_message: Process /usr/bin/xbindkeys was...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: xbindkeys
Version: 15
Hardware: i686
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Christian Krause
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:a39057fd93e0656c7e13ede0aa7...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-05-22 21:56 UTC by Andrew McNabb
Modified: 2011-05-29 23:20 UTC (History)
1 user (show)

Fixed In Version: xbindkeys-1.8.5-1.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-05-29 23:20:02 UTC
Type: ---


Attachments (Terms of Use)

Description Andrew McNabb 2011-05-22 21:56:21 UTC
abrt version: 2.0.1
architecture:   i686
cmdline:        xbindkeys
component:      xbindkeys
crash_function: __libc_message
executable:     /usr/bin/xbindkeys
kernel:         2.6.38.6-27.fc15.i686.PAE
os_release:     Fedora release 15 (Lovelock)
package:        xbindkeys-1.8.3-2.fc15
rating:         4
reason:         Process /usr/bin/xbindkeys was killed by signal 6 (SIGABRT)
time:           Sat May 21 11:13:19 2011
uid:            1000
username:       amcnabb

backtrace:
:[New LWP 5715]
:warning: .dynamic section for "/usr/lib/libX11.so.6" is not at the expected address (wrong library or version mismatch?)
:Missing separate debuginfo for 
:Try: yum --disablerepo='*' --enablerepo='*-debuginfo' install /usr/lib/debug/.build-id/2c/a8544b0ff9269420c23a0ac22da52b7894148b
:[Thread debugging using libthread_db enabled]
:warning: "/usr/lib/debug/usr/lib/sse2/libgmp.so.3.5.2.debug": separate debug info file has no debug info
:Core was generated by `xbindkeys'.
:Program terminated with signal 6, Aborted.
:#0  0x00c75424 in __kernel_vsyscall ()
:
:Thread 1 (Thread 0xb78286c0 (LWP 5715)):
:#0  0x00c75424 in __kernel_vsyscall ()
:No symbol table info available.
:#1  0x4a25167f in raise (sig=6) at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
:        resultvar = <optimized out>
:        resultvar = <optimized out>
:        pid = 1245364212
:        selftid = 5715
:#2  0x4a252fb5 in abort () at abort.c:92
:        save_stage = 2
:        act = {__sigaction_handler = {sa_handler = 0x4a339a1c <_dl_addr+652>, sa_sigaction = 0x4a339a1c <_dl_addr+652>}, sa_mask = {__val = {1243739332, 134514444, 134518133, 3, 1243740408, 0, 3, 134513060, 2, 4, 3219688044, 1244613534, 1244024413, 1245364212, 1245364212, 19, 3219689500, 1244734530, 2, 3219688044, 4, 0, 3219691052, 3, 3219691064, 6, 3219688148, 3219688140, 4, 1245114854, 1245114858, 1243853856}}, sa_flags = 3, sa_restorer = 0x4a23b513 <__libc_start_main+243>}
:        sigs = {__val = {32, 0 <repeats 31 times>}}
:#3  0x4a28dfd7 in __libc_message (do_abort=2, fmt=0x4a371330 "*** glibc detected *** %s: %s: 0x%s ***\n") at ../sysdeps/unix/sysv/linux/libc_fatal.c:186
:        ap = 0x90964b8 "*** glibc detected *** xbindkeys: invalid fastbin entry (free): 0x090962f8 ***\n"
:        ap_copy = 0x90964b8 "*** glibc detected *** xbindkeys: invalid fastbin entry (free): 0x090962f8 ***\n"
:        fd = 2
:        on_2 = <optimized out>
:        list = <optimized out>
:        nlist = <optimized out>
:        cp = <optimized out>
:        written = <optimized out>
:#4  0x4a294f95 in malloc_printerr (action=<optimized out>, str=<optimized out>, ptr=0x90962f8) at malloc.c:6283
:        buf = "090962f8"
:        cp = <optimized out>
:#5  0x4a74349e in get_event (c=<optimized out>) at xcb_in.c:238
:        cur = <optimized out>
:        ret = 0x9096200
:#6  0x4a74478b in xcb_poll_for_event (c=0x908bfc0) at xcb_in.c:552
:        ret = 0x0
:#7  0x4a62ff8a in _XConnectXCB () from /usr/lib/libX11.so.6
:No symbol table info available.
:#8  0x4a6331f3 in _XWireToEvent () from /usr/lib/libX11.so.6
:No symbol table info available.
:#9  0x4a61ec13 in XMaskEvent () from /usr/lib/libX11.so.6
:No symbol table info available.
:#10 0x00000000 in ?? ()
:No symbol table info available.
:From        To          Syms Read   Shared Object Library
:0x4a3b6630  0x4a3c257c  Yes         /lib/libpthread-2.13.90.so
:0x4a609930  0x4a69a5cc  Yes (*)     /usr/lib/libX11.so.6
:0x4aecd2c0  0x4af6119c  Yes         /usr/lib/libguile.so.17.4.0
:0x4a238ce0  0x4a356324  Yes         /lib/libc-2.13.90.so
:0x4a1ff850  0x4a2177ff  Yes         /lib/ld-2.13.90.so
:0x4a741e90  0x4a7517bc  Yes         /usr/lib/libxcb.so.1.1.0
:0x4a3fca60  0x4a3fda8c  Yes         /lib/libdl-2.13.90.so
:0x4a427f30  0x4a43ec5c  Yes         /lib/libgcc_s-4.6.0-20110509.so.1
:0x4b69fee0  0x4b6db3dc  Yes (*)     /usr/lib/sse2/libgmp.so.3.5.2
:0x4b71c8e0  0x4b721b7c  Yes         /lib/libcrypt-2.13.90.so
:0x4a3d24b0  0x4a3edbbc  Yes         /lib/libm-2.13.90.so
:0x4bbd8a20  0x4bbdd52c  Yes         /usr/lib/libltdl.so.7.3.0
:0x4a730a00  0x4a73188c  Yes         /usr/lib/libXau.so.6.0.0
:0x4b750950  0x4b7835cc  Yes         /lib/libfreebl3.so
:(*): Shared library is missing debugging information.
:$1 = 0x90964b8 "*** glibc detected *** xbindkeys: invalid fastbin entry (free): 0x090962f8 ***\n"
:No symbol "__glib_assert_msg" in current context.
:eax            0x0	0
:ecx            0x1653	5715
:edx            0x6	6
:ebx            0x1653	5715
:esp            0xbfe889ac	0xbfe889ac
:ebp            0xbfe89124	0xbfe89124
:esi            0x0	0
:edi            0x4a3abff4	1245364212
:eip            0xc75424	0xc75424 <__kernel_vsyscall+16>
:eflags         0x200206	[ PF IF ID ]
:cs             0x73	115
:ss             0x7b	123
:ds             0x7b	123
:es             0x7b	123
:fs             0x0	0
:gs             0x33	51
:Dump of assembler code for function __kernel_vsyscall:
:   0x00c75414 <+0>:	push   %ecx
:   0x00c75415 <+1>:	push   %edx
:   0x00c75416 <+2>:	push   %ebp
:   0x00c75417 <+3>:	mov    %esp,%ebp
:   0x00c75419 <+5>:	sysenter 
:   0x00c7541b <+7>:	nop
:   0x00c7541c <+8>:	nop
:   0x00c7541d <+9>:	nop
:   0x00c7541e <+10>:	nop
:   0x00c7541f <+11>:	nop
:   0x00c75420 <+12>:	nop
:   0x00c75421 <+13>:	nop
:   0x00c75422 <+14>:	jmp    0xc75417 <__kernel_vsyscall+3>
:=> 0x00c75424 <+16>:	pop    %ebp
:   0x00c75425 <+17>:	pop    %edx
:   0x00c75426 <+18>:	pop    %ecx
:   0x00c75427 <+19>:	ret    
:End of assembler dump.

dsos:
:/usr/lib/libguile.so.17.4.0 guile-5:1.8.8-2.fc15.i686 (Fedora Project) 1305934195
:/lib/libgcc_s-4.6.0-20110509.so.1 libgcc-4.6.0-7.fc15.i686 (Fedora Project) 1305937324
:/lib/ld-2.13.90.so glibc-2.13.90-9.i686 (Fedora Project) 1305933859
:/usr/lib/libX11.so.6.3.0 libX11-1.4.3-1.fc15.i686 (Fedora Project) 1305933897
:/usr/bin/xbindkeys xbindkeys-1.8.3-2.fc15.i686 (Fedora Project) 1305939377
:/lib/libc-2.13.90.so glibc-2.13.90-9.i686 (Fedora Project) 1305933859
:/lib/libm-2.13.90.so glibc-2.13.90-9.i686 (Fedora Project) 1305933859
:/lib/libpthread-2.13.90.so glibc-2.13.90-9.i686 (Fedora Project) 1305933859
:/usr/lib/libltdl.so.7.3.0 libtool-ltdl-2.4-4.fc15.i686 (Fedora Project) 1305933894
:/usr/lib/libXau.so.6.0.0 libXau-1.0.6-2.fc15.i686 (Fedora Project) 1305933896
:/usr/lib/libxcb.so.1.1.0 libxcb-1.7-2.fc15.i686 (Fedora Project) 1305933896
:/usr/lib/sse2/libgmp.so.3.5.2 gmp-1:4.3.2-3.fc15.i686 (Fedora Project) 1305933911
:/lib/libfreebl3.so nss-softokn-freebl-3.12.10-1.fc15.i686 (Fedora Project) 1305937998
:/lib/libcrypt-2.13.90.so glibc-2.13.90-9.i686 (Fedora Project) 1305933859
:/lib/libdl-2.13.90.so glibc-2.13.90-9.i686 (Fedora Project) 1305933859

environ:
:SSH_AGENT_PID=5689
:XDG_SESSION_ID=18
:HOSTNAME=maggie.mcnabbs.org
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:FIREFOX_PROFILE=amcnabb
:SHELL=/bin/zsh
:TERM=dumb
:XDG_SESSION_COOKIE=2e3832e6279be50df66942aa00000016-1305997968.15536-790088822
:HISTSIZE=1000
:OLDPWD=/home/amcnabb
:GNOME_KEYRING_CONTROL=/tmp/keyring-5dH7DX
:LC_ALL=en_US.UTF-8
:IMSETTINGS_MODULE=none
:google_zsh_flysolo=1
:USER=amcnabb
:'XTERMSHELL=/bin/zsh -l'
:SSH_AUTH_SOCK=/tmp/ssh-vHrxHN5579/agent.5579
:USERNAME=amcnabb
:P4DIFF=/home/build/public/google/tools/p4diff
:PAGER=less
:PATH=/home/amcnabb/bin:/usr/lib/ccache:/usr/local/bin:/usr/bin:/bin:/sbin:/usr/sbin:/usr/local/sbin
:DESKTOP_SESSION=xinit-compat
:MAIL=/var/spool/mail/amcnabb
:QT_IM_MODULE=xim
:PWD=/home/amcnabb
:XMODIFIERS=@im=none
:EDITOR=vim
:GNOME_KEYRING_PID=5570
:LANG=en_US.UTF-8
:KDE_IS_PRELINKED=1
:GDM_LANG=
:PYTHONSTARTUP=/home/amcnabb/.pythonrc.py
:KDEDIRS=/usr
:P4EDITOR=vim
:auto_proxy=http://proxyconfig.corp.google.com/wpad.dat
:GDMSESSION=xinit-compat
:HISTCONTROL=ignoredups
:SSH_ASKPASS=
:COLORFGBG=default;default
:HOME=/home/amcnabb
:SHLVL=1
:P4MERGE=/home/build/public/eng/perforce/mergep4.tcl
:LOGNAME=amcnabb
:PYTHONPATH=/home/amcnabb/python:/home/amcnabb/python
:CVS_RSH=ssh
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-iInELzuesZ,guid=a30c149dc3ff777a9ffade760000d767
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=8
:XDG_RUNTIME_DIR=/run/user/amcnabb
:DISPLAY=:0
:GTK_IM_MODULE=gtk-im-context-simple
:P4CONFIG=.p4config
:G_BROKEN_FILENAMES=1
:XAUTHORITY=/var/run/gdm/auth-for-amcnabb-9g4zCM/database
:_=/usr/bin/xbindkeys

event_log:
:2011-05-22-15:48:26> Analyzing crash data
:2011-05-22-15:48:37  Analyzing crash data
:2011-05-22-15:48:51  Analyzing crash data
:2011-05-22-15:49:02  Initializing virtual root
:2011-05-22-15:49:12  Initializing virtual root
:2011-05-22-15:49:23  Initializing virtual root
:2011-05-22-15:49:34  Initializing virtual root
:2011-05-22-15:49:45  Initializing virtual root
:2011-05-22-15:49:56  Initializing virtual root
:2011-05-22-15:50:06  Initializing virtual root
:2011-05-22-15:50:17  Initializing virtual root
:2011-05-22-15:50:28  Initializing virtual root
:2011-05-22-15:50:39  Initializing virtual root
:2011-05-22-15:50:50  Initializing virtual root
:2011-05-22-15:51:03  Initializing virtual root
:2011-05-22-15:51:19  Initializing virtual root
:2011-05-22-15:51:30  Initializing virtual root
:2011-05-22-15:51:40  Initializing virtual root
:2011-05-22-15:51:51  Initializing virtual root
:2011-05-22-15:52:02  Cleaning up virtual root
:2011-05-22-15:52:13  Retrace job finished successfully
:2011-05-22-15:55:24> Logging into Bugzilla at https://bugzilla.redhat.com
:2011-05-22-15:55:25  Can't login. Server said: RPC failed at server.  The username or password you entered is not valid.
:2011-05-22-15:55:25* (exited with 1)

maps:
:00c75000-00c76000 r-xp 00000000 00:00 0          [vdso]
:08048000-08052000 r-xp 00000000 fd:00 402758     /usr/bin/xbindkeys
:08052000-08054000 rw-p 00009000 fd:00 402758     /usr/bin/xbindkeys
:09061000-090a3000 rw-p 00000000 00:00 0          [heap]
:4a1ff000-4a21e000 r-xp 00000000 fd:00 4874       /lib/ld-2.13.90.so
:4a21e000-4a21f000 r--p 0001f000 fd:00 4874       /lib/ld-2.13.90.so
:4a21f000-4a220000 rw-p 00020000 fd:00 4874       /lib/ld-2.13.90.so
:4a222000-4a3aa000 r-xp 00000000 fd:00 4877       /lib/libc-2.13.90.so
:4a3aa000-4a3ac000 r--p 00188000 fd:00 4877       /lib/libc-2.13.90.so
:4a3ac000-4a3ad000 rw-p 0018a000 fd:00 4877       /lib/libc-2.13.90.so
:4a3ad000-4a3b0000 rw-p 00000000 00:00 0 
:4a3b2000-4a3c9000 r-xp 00000000 fd:00 4881       /lib/libpthread-2.13.90.so
:4a3c9000-4a3ca000 r--p 00016000 fd:00 4881       /lib/libpthread-2.13.90.so
:4a3ca000-4a3cb000 rw-p 00017000 fd:00 4881       /lib/libpthread-2.13.90.so
:4a3cb000-4a3cd000 rw-p 00000000 00:00 0 
:4a3cf000-4a3f8000 r-xp 00000000 fd:00 20516      /lib/libm-2.13.90.so
:4a3f8000-4a3f9000 r--p 00028000 fd:00 20516      /lib/libm-2.13.90.so
:4a3f9000-4a3fa000 rw-p 00029000 fd:00 20516      /lib/libm-2.13.90.so
:4a3fc000-4a3ff000 r-xp 00000000 fd:00 11692      /lib/libdl-2.13.90.so
:4a3ff000-4a400000 r--p 00002000 fd:00 11692      /lib/libdl-2.13.90.so
:4a400000-4a401000 rw-p 00003000 fd:00 11692      /lib/libdl-2.13.90.so
:4a426000-4a442000 r-xp 00000000 fd:00 20518      /lib/libgcc_s-4.6.0-20110509.so.1
:4a442000-4a443000 rw-p 0001b000 fd:00 20518      /lib/libgcc_s-4.6.0-20110509.so.1
:4a5f5000-4a72a000 r-xp 00000000 fd:00 419802     /usr/lib/libX11.so.6.3.0
:4a72a000-4a72e000 rw-p 00134000 fd:00 419802     /usr/lib/libX11.so.6.3.0
:4a730000-4a732000 r-xp 00000000 fd:00 419800     /usr/lib/libXau.so.6.0.0
:4a732000-4a733000 rw-p 00001000 fd:00 419800     /usr/lib/libXau.so.6.0.0
:4a73b000-4a758000 r-xp 00000000 fd:00 419801     /usr/lib/libxcb.so.1.1.0
:4a758000-4a759000 rw-p 0001d000 fd:00 419801     /usr/lib/libxcb.so.1.1.0
:4aea5000-4af93000 r-xp 00000000 fd:00 405810     /usr/lib/libguile.so.17.4.0
:4af93000-4af97000 rw-p 000ed000 fd:00 405810     /usr/lib/libguile.so.17.4.0
:4af97000-4afa1000 rw-p 00000000 00:00 0 
:4b699000-4b6e8000 r-xp 00000000 fd:00 403085     /usr/lib/sse2/libgmp.so.3.5.2
:4b6e8000-4b6e9000 rw-p 0004e000 fd:00 403085     /usr/lib/sse2/libgmp.so.3.5.2
:4b71c000-4b724000 r-xp 00000000 fd:00 712        /lib/libcrypt-2.13.90.so
:4b724000-4b725000 r--p 00007000 fd:00 712        /lib/libcrypt-2.13.90.so
:4b725000-4b726000 rw-p 00008000 fd:00 712        /lib/libcrypt-2.13.90.so
:4b726000-4b74d000 rw-p 00000000 00:00 0 
:4b74f000-4b798000 r-xp 00000000 fd:00 11693      /lib/libfreebl3.so
:4b798000-4b799000 rw-p 00048000 fd:00 11693      /lib/libfreebl3.so
:4b799000-4b79d000 rw-p 00000000 00:00 0 
:4bbd7000-4bbe0000 r-xp 00000000 fd:00 399086     /usr/lib/libltdl.so.7.3.0
:4bbe0000-4bbe1000 rw-p 00008000 fd:00 399086     /usr/lib/libltdl.so.7.3.0
:b7787000-b782c000 rw-p 00000000 00:00 0 
:b7848000-b7849000 rw-p 00000000 00:00 0 
:bfe69000-bfe8a000 rw-p 00000000 00:00 0          [stack]

Comment 1 Fedora Update System 2011-05-22 23:04:33 UTC
xbindkeys-1.8.5-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/xbindkeys-1.8.5-1.fc15

Comment 2 Fedora Update System 2011-05-25 03:26:15 UTC
Package xbindkeys-1.8.5-1.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing xbindkeys-1.8.5-1.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/xbindkeys-1.8.5-1.fc15
then log in and leave karma (feedback).

Comment 3 Fedora Update System 2011-05-29 23:19:52 UTC
xbindkeys-1.8.5-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.